// RCS_EE module v1.0.0
// Copyright (c) Chris Hearn 2017

#ifndef RCS_EE
  #define RCS_EE
#endif

  // Note: to reference global vars in other modules, use extern keyword, e.g.
  // extern unsigned int myVar

  //#define loc_pointer 0     // 2 byte address
  //#define loc_header  2     // stores "RCSv" identifies our program HAS stored data already

  // const char strKey[4] = {'R','C','S','v'}; // our program ID

  // here we put header
namespace RCS {
  class EE {
  public:
        EE(bool debug);
    
    void        writeHeader(byte progVersion);
    byte        readByte(int epAddress);
    byte        readVersion();
    void        writeVersion(byte vNum);
    bool        isCurrentVersion(byte progVersion);

    byte        readSequenceNumber();
    void        writeSequenceNumber(byte seqNo);
    byte        readNumberOfFlights();
    void        writeNumberOfFlights(byte flights);
    void        setSoftwareVersion(byte progVersion);
    void        storeStartSettings(byte seqNo, byte flights);

  };
}
